## closure-compiler 20130227+dfsg1

=== debian/changelog ===
closure-compiler (20130227+dfsg1-4ubuntu0.1) trusty-proposed; urgency=medium

  [ tony mancill ]
  * Drop dependency on jarwrapper in favor of a simple wrapper script.
    (Closes: #743707, #734011)  (LP: #1497836)

 -- Anders Kaseorg <andersk@mit.edu>  Mon, 21 Sep 2015 01:41:13 -0400

closure-compiler (20130227+dfsg1-4) unstable; urgency=medium

  * Team upload.
  * Add "Provides: closure-compiler" to libclosure-compiler-java binary
    package as a lightweight way for users to find the "binary" package.

 -- tony mancill <tmancill@debian.org>  Wed, 01 Jan 2014 11:10:12 -0800

closure-compiler (20130227+dfsg1-3) unstable; urgency=low

  * Team upload.

  [ Emmanuel Bourg ]
  * Backported a change replacing the deprecated LimitInputStream class
    in Guava with ByteStreams.limit(). (Closes: #724098, #724081)
  * Added the watch file
  * Removed the build dependency on ant1.7
  * Removed unnecessary changes from build_xml.patch

  [ Daniel Pocock ]
  * Add manifest and symlink for runnable JAR. (Closes: #705565, #726294)

  [ tony mancill ]
  * Add ftbfs-commandlinerunner.patch to buid on Java 7.
  * Add Depends for libclosure-compiler-java:
    - libraries: libargs4j-java, libguava-java, libandroid-json-org-java
    - change jarwrapper fro Suggests to Depends (lintian error)
    - default-jre-headless (Closes: #726286)
  * Correct capitalization for Main-Class in manifest
  * Add lintian override for "needless-dependency-on-jre" warning
  * Bump Standards-Version to 3.9.5.

 -- tony mancill <tmancill@debian.org>  Sun, 29 Dec 2013 21:11:30 -0800

closure-compiler (20130227+dfsg1-2) unstable; urgency=low

  * Team upload.
  * Upload to unstable.

 -- tony mancill <tmancill@debian.org>  Sat, 18 May 2013 11:07:02 -0700

closure-compiler (20130227+dfsg1-1) experimental; urgency=low

  * Initial release. (Closes: #555683)

 -- Thomas Koch <thomas@koch.ro>  Mon, 04 Mar 2013 21:59:30 +0100
