=== debian/control ===
Source: closure-compiler
Section: java
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Koch <thomas@koch.ro>
Build-Depends: debhelper (>= 9), default-jdk, maven-repo-helper (>= 1.7.1), junit4,
 libandroid-json-org-java, libprotobuf-java, libargs4j-java, libguava-java, libjsr305-java,
 librhino-java (>= 1.7R4), ant, libjarjar-java, protobuf-compiler,
 libmaven-ant-tasks-java, javahelper (>=0.25)
Build-Depends-Indep: default-jdk-doc, libmaven-javadoc-plugin-java
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/pkg-java/closure-compiler.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-java/closure-compiler.git
Homepage: http://code.google.com/p/closure-compiler

Package: libclosure-compiler-java
Architecture: all
Provides: closure-compiler
Depends: ${misc:Depends}, ${maven:Depends},
 libargs4j-java, libguava-java, libandroid-json-org-java,
 default-jre-headless
Recommends: ${maven:OptionalDepends}
Suggests: libclosure-compiler-java-doc
Description: JavaScript optimizing compiler
 Closure Compiler is a JavaScript optimizing compiler. It parses your
 JavaScript, analyzes it, removes dead code and rewrites and minimizes
 what's left. It also checks syntax, variable references, and types, and
 warns about common JavaScript pitfalls. It is used in many of Google's
 JavaScript apps, including Gmail, Google Web Search, Google Maps, and
 Google Docs.

Package: libclosure-compiler-java-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${maven:DocDepends}
Recommends: ${maven:DocOptionalDepends}
Suggests: libclosure-compiler-java
Description: JavaScript optimizing compiler - Javadoc
 Closure Compiler is a JavaScript optimizing compiler. It parses your
 JavaScript, analyzes it, removes dead code and rewrites and minimizes
 what's left. It also checks syntax, variable references, and types, and
 warns about common JavaScript pitfalls. It is used in many of Google's
 JavaScript apps, including Gmail, Google Web Search, Google Maps, and
 Google Docs.
 .
 This package contains the API documentation of libclosure-compiler-java.
