=== debian/rules ===
#!/usr/bin/make -f

JAVA_HOME      := /usr/lib/jvm/default-java

%:
	dh $@ --with maven_repo_helper,javahelper

override_dh_auto_build:
	ant -propertyfile debian/ant.properties jar-nodeps javadoc

override_dh_auto_test:
#	ant test

override_dh_auto_clean:
	dh_testdir
	ant clean
	rm -rf gen
