## closure-compiler 20130227+rhino

=== debian/changelog ===
closure-compiler (20130227+rhino-3) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Apply multi-arch hints.

  [ Santiago Vila ]
  * Fix clean target. Closes: #1043786.
  * d/control: Move orphaned package to the debian namespace in salsa.
  * d/control: Drop "Priority: optional" (default).
  * d/control: Update standards-version.
  * Raise debhelper compat version to 13.
  * d/copyright: Use secure URI.
  * Add debian/salsa-ci.yml.

 -- Santiago Vila <sanvila@debian.org>  Fri, 02 Jan 2026 11:45:00 +0100

closure-compiler (20130227+rhino-2) unstable; urgency=medium

  * QA upload.
  * d/p/build_xml.patch: add ant.jar to resolve javadoc errors
    (Closes: #1053018).

 -- Vladimir Petko <vladimir.petko@canonical.com>  Mon, 20 Nov 2023 16:51:43 +1300

closure-compiler (20130227+rhino-1) unstable; urgency=medium

  * QA upload.
  * Revert to last compatible rhino version because the latest one in Debian is
    not compatible with this 10! year old version of closure-compiler.
   - Embed rhino 1.7.7.2 source package into src:closure-compiler.
   - Build librhino-java from source. Update build_xml.patch and use the local
     binary package instead of the system library.
   - Drop build-dependency on librhino-java.
   - Drop fix-librhino-java-FTBFS.patch.
   - Update debian/copyright and document the rhino licenses.
   (Closes: #1036249)

 -- Markus Koschany <apo@debian.org>  Thu, 25 May 2023 16:51:03 +0200

closure-compiler (20130227+dfsg1-14) unstable; urgency=medium

  * QA upload.
  * Tighten build-dependency on librhino-java to 1.7.14-2~.
  * Rebuild against librhino-java 1.7.14-2.1 to include the missing
    resource bundles. (Closes: #1036249)

 -- Markus Koschany <apo@debian.org>  Sat, 20 May 2023 17:13:17 +0200

closure-compiler (20130227+dfsg1-13) unstable; urgency=medium

  * QA upload.
  * Tighten dependency on librhino-java to >= 1.7.14.
  * Fix FTBFS with rhino 1.7.14.
  * Use canonical VCS URI.

 -- Markus Koschany <apo@debian.org>  Tue, 14 Feb 2023 00:18:02 +0100

closure-compiler (20130227+dfsg1-12) unstable; urgency=medium

  * QA upload.
  * Fix Maintainer: field

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 19 Nov 2022 09:00:34 +0100

closure-compiler (20130227+dfsg1-11) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #1008632)
  * debian/control: Remove Uploaders field.

 -- Marcos Talau <talau@debian.org>  Tue, 15 Nov 2022 10:56:48 -0300

closure-compiler (20130227+dfsg1-10.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Set Java source and target versions to 8 (Closes: 961839)
  * Replace build-dependency on python-docutils with python3-docutils
    (Closes: 942965)

 -- Peter Michael Green <plugwash@debian.org>  Thu, 03 Sep 2020 12:32:03 +0000

closure-compiler (20130227+dfsg1-10) unstable; urgency=medium

  * Team upload.
  * Removed the build dependency on libmaven-ant-tasks-java
  * Standards-Version updated to 4.1.0
  * Switch to debhelper level 10
  * Use secure Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 12 Sep 2017 16:18:28 +0200

closure-compiler (20130227+dfsg1-9) unstable; urgency=medium

  * Team upload.
  * Fix generated POM so that packages depending on this package
    don’t get broken package relationships generated

 -- Thorsten Glaser <tg@mirbsd.de>  Tue, 18 Oct 2016 12:56:09 +0200

closure-compiler (20130227+dfsg1-8) unstable; urgency=medium

  [ Emmanuel Bourg ]
  * Team upload.
  * debian/watch:
    - Updated to watch the release tags on Github
    - Filter out the jar files from the upstream tarball
  * debian/control: Updated the Homepage field
  * debian/copyright: Updated the Source URL

  [ tony mancill ]
  * Quote arguments to run_java. (Closes: #765563)

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 16 Oct 2014 12:43:11 +0200

closure-compiler (20130227+dfsg1-7) unstable; urgency=medium

  * Depend on JRE >= 1.6 to prevent package from installing on gcj
    architectures. (Closes: #764017)
  * Bump Standards-Version to 3.9.6.

 -- tony mancill <tmancill@debian.org>  Mon, 06 Oct 2014 21:23:18 -0700

closure-compiler (20130227+dfsg1-6) unstable; urgency=medium

  * Team upload.
  * Correct regression introduced in -5 upload; set Main and Class-Path
    attributes in jar manifest. (Closes: #746625)
    Restore javahelper build-dep for jh_manifest; don't use jh sequencer.
  * Use java-wrappers to find JVM in wrapper script.
  * Add myself to Uploaders.

 -- tony mancill <tmancill@debian.org>  Fri, 02 May 2014 22:09:32 -0700

closure-compiler (20130227+dfsg1-5) unstable; urgency=medium

  * Team upload.

  [ Ben Finney ]
  * debian/control, debian/rules, debian/manpage_encoding_declaration.UTF-8:
    + Build manpage from reStructuredText source document.
  * debian/closure-compiler.1.txt, debian/closure-compiler.manpages:
    + Add a manpage for ‘closure-compiler(1)’.
    (Closes: #734243)

  [ tony mancill ]
  * closure-compiler is now a separate package and provides a manpage.
    (Closes: #733996)
  * Drop dependency on jarwrapper in favor of a simple wrapper script.
    (Closes: #743707, #734011)
  * Drop build-dep on javahelper.
  * Dependency on libguava-java is now versioned (>= 15.0)
    (Closes: #739591)

 -- tony mancill <tmancill@debian.org>  Mon, 21 Apr 2014 23:06:12 -0700
