=== debian/control ===
Source: closure-compiler
Section: java
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
    debhelper-compat (= 13),
    default-jdk,
    maven-repo-helper (>= 1.7.1),
    junit4,
    libandroid-json-org-java,
    libprotobuf-java,
    libargs4j-java,
    libguava-java (>= 15.0),
    libjsr305-java,
    ant,
    libjarjar-java,
    protobuf-compiler,
    python3-docutils,
    javahelper (>= 0.25)
Build-Depends-Indep: default-jdk-doc, libmaven-javadoc-plugin-java
Standards-Version: 4.7.3
Vcs-Git: https://salsa.debian.org/debian/closure-compiler.git
Vcs-Browser: https://salsa.debian.org/debian/closure-compiler
Homepage: https://developers.google.com/closure/compiler/

Package: closure-compiler
Architecture: all
Depends: ${misc:Depends}, libclosure-compiler-java (>= ${source:Version}),
 default-jre-headless (>= 2:1.6~) | java6-runtime-headless, java-wrappers
Description: JavaScript optimizing compiler
 Closure Compiler is a JavaScript optimizing compiler. It parses your
 JavaScript, analyzes it, removes dead code and rewrites and minimizes
 what's left. It also checks syntax, variable references, and types, and
 warns about common JavaScript pitfalls. It is used in many of Google's
 JavaScript apps, including Gmail, Google Web Search, Google Maps, and
 Google Docs.
 .
 This package contains the /usr/bin wrapper script and manpage.

Package: libclosure-compiler-java
Architecture: all
Depends: ${misc:Depends}, ${maven:Depends},
 libargs4j-java, libguava-java, libandroid-json-org-java
Recommends: ${maven:OptionalDepends}
Suggests: libclosure-compiler-java-doc
Description: JavaScript optimizing compiler - library package
 Closure Compiler is a JavaScript optimizing compiler. It parses your
 JavaScript, analyzes it, removes dead code and rewrites and minimizes
 what's left. It also checks syntax, variable references, and types, and
 warns about common JavaScript pitfalls. It is used in many of Google's
 JavaScript apps, including Gmail, Google Web Search, Google Maps, and
 Google Docs.
 .
 This package contains the jar library.

Package: libclosure-compiler-java-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${maven:DocDepends}
Recommends: ${maven:DocOptionalDepends}
Suggests: libclosure-compiler-java
Multi-Arch: foreign
Description: JavaScript optimizing compiler - Javadoc
 Closure Compiler is a JavaScript optimizing compiler. It parses your
 JavaScript, analyzes it, removes dead code and rewrites and minimizes
 what's left. It also checks syntax, variable references, and types, and
 warns about common JavaScript pitfalls. It is used in many of Google's
 JavaScript apps, including Gmail, Google Web Search, Google Maps, and
 Google Docs.
 .
 This package contains the API documentation of libclosure-compiler-java.
